Create a pricing plan version

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
pricing_plan_idstring or nullOptional
The resource ID of the pricing plan.
pricing_planobject or nullOptional
versioninteger or nullOptional
The value describing the version of the pricing plan.
statusenum or nullOptional
Allowed values:
pricing_currency_settingsobjectOptional
billing_period_settingsobjectOptional
copied_from_pricing_plan_version_idstring or nullOptional
The id of the pricing plan version from which this pricing plan version was copied
pricing_categorieslist of objects or nullOptional
The list of priced categories that are within the pricing plan.
rate_cardobjectOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
pricing_plan_idstring or null
The resource ID of the pricing plan.
pricing_planobject or null
versioninteger or null
The value describing the version of the pricing plan.
statusenum or null
Allowed values:
pricing_currency_settingsobject
billing_period_settingsobject
copied_from_pricing_plan_version_idstring or null
The id of the pricing plan version from which this pricing plan version was copied
pricing_categorieslist of objects or null
The list of priced categories that are within the pricing plan.
credit_typeslist of objects or nullRead-only
rate_cardobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error